config BR2_PACKAGE_DIRECTFB
	bool "directfb"
	select BR2_PACKAGE_FREETYPE
	select BR2_PACKAGE_ZLIB
	help
	  http://www.directfb.org/

choice
	prompt "DirectFB Version"
	depends on BR2_PACKAGE_DIRECTFB
	default BR2_DIRECTFB_VERSION_1_0_X
	help
	  Select the version of DirectFB you wish to use.

	config BR2_DIRECTFB_VERSION_1_0_X
		bool "DirectFB 1.0.0"

	config BR2_DIRECTFB_VERSION_1_2_X
		bool "DirectFB 1.2.X"
endchoice

config BR2_DIRECTFB_VERSION
	string
	default "1.0.0"		if BR2_DIRECTFB_VERSION_1_0_X
	default "1.2.8"		if BR2_DIRECTFB_VERSION_1_2_X

config BR2_PACKAGE_DIRECTFB_MULTI
	bool "directfb multi application"
	depends on BR2_PACKAGE_DIRECTFB
	help
	  Enable use of multiple concurrent DirectFB applications
	  http://www.directfb.org/

config BR2_PACKAGE_DIRECTFB_XSERVER
	bool "build with X server backend"
	depends on BR2_PACKAGE_DIRECTFB
	depends on !BR2_PACKAGE_XSERVER_none

config BR2_PACKAGE_DIRECTFB_UNIQUE
	bool "enable unique window manager"
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_UNIMPLEMENTED

config BR2_PACKAGE_DIRECTFB_ATI128
	bool "compile ati128 graphics driver"
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_i386 || BR2_x86_64

config BR2_PACKAGE_DIRECTFB_CLE266
	bool "compile cle266 graphics driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_i386 || BR2_x86_64

config BR2_PACKAGE_DIRECTFB_MATROX
	bool "compile matrox graphics driver"
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_i386 || BR2_x86_64

config BR2_PACKAGE_DIRECTFB_UNICHROME
	bool "compile unichrome graphics driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_i386 || BR2_x86_64

config BR2_PACKAGE_DIRECTFB_LINUXINPUT
	bool "compile /dev/input/eventX input driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB

config BR2_PACKAGE_DIRECTFB_KEYBOARD
	bool "compile keyboard input driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB

config BR2_PACKAGE_DIRECTFB_PS2MOUSE
	bool "compile PS2 mouse input driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	depends on BR2_i386 || BR2_x86_64

config BR2_PACKAGE_DIRECTFB_SERIALMOUSE
	bool "compile serial mouse input driver"
	default y
	depends on BR2_PACKAGE_DIRECTFB

config BR2_PACKAGE_DIRECTFB_PNG
	bool "enable PNG support"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	select BR2_PACKAGE_LIBPNG

config BR2_PACKAGE_DIRECTFB_TSLIB
	bool "enable touchscreen support"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	select BR2_PACKAGE_TSLIB

config BR2_PACKAGE_DIRECTFB_GIF
	bool "enable GIF support"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	select BR2_PACKAGE_LIBUNGIF

config BR2_PACKAGE_DIRECTFB_JPEG
	bool "enable JPEG support"
	default y
	depends on BR2_PACKAGE_DIRECTFB
	select BR2_PACKAGE_JPEG

config BR2_PACKAGE_DIRECTFB_DEBUG
	bool "directfb debug enabled"
	depends on BR2_DIRECTFB_VERSION_1_2_X
	help
	  Should DirectFB be built with --enable-debug?
	  Better for testing, performance is reduced.
	  Should be disabled for production systems.
